package com.muyu.marketing.domain.model;


import com.muyu.marketing.domain.req.ActivityTeamProductSkuReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 拼团活动商品SKU修改模型
 *
 * @author DongZeLiang
 * @date 2024-11-27 14:18
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamProductSkuUpdModel {

    /**
     * 拼团规格信息ID
     */
    private Long id;
    /**
     * 活动id
     */
    private Long teamId;
    /**
     * 商品id
     */
    private Long productId;
    /**
     * 规格SKU
     */
        private String productSku;
    /**
     * 团购价格
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 团购库存
     */
    private BigDecimal teamPrice;

    /**拼团活动SkuReq 构造 model */
    public static ActivityTeamProductSkuUpdModel activityTeamProductSkuReqModelBuild(ActivityTeamProductSkuReq activityTeamProductSkuReq) {
        return ActivityTeamProductSkuUpdModel.builder()
                .id(activityTeamProductSkuReq.getId())
                .productId(activityTeamProductSkuReq.getProductId())
                .teamId(activityTeamProductSkuReq.getTeamId())
                .productSku(activityTeamProductSkuReq.getProductSku())
                .remainStock(activityTeamProductSkuReq.getRemainStock())
                .teamStock(activityTeamProductSkuReq.getTeamStock())
                .teamPrice(activityTeamProductSkuReq.getTeamPrice())
                .build();
    }


}
