package com.muyu.marketing.domain.model;


import com.muyu.marketing.domain.req.ActivityTeamProductUpdCheckReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * （团购活动修改SKU操作模型）
 * @author DongZeLiang
 * @date 2024-11-27 14:18
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamProductUpdCheckModel {

    /**
     * 修改商品规格List
     */
    private List<ActivityTeamProductSkuUpdModel> skuUpdateList;
    /**
     * 删除商品规格IdList
     */
    private List<Long> skuByIdDeleteList;
    /**
     * 添加商品规格List
     */
    private List<ActivityTeamProductSkuAddModel> skuAddList;


    /** skuListReq  构造  skuListModel */
    public static ActivityTeamProductUpdCheckModel reqConvertModel(ActivityTeamProductUpdCheckReq sukListReq) {
        return ActivityTeamProductUpdCheckModel.builder()
                .skuUpdateList(sukListReq.getSkuUpdateList())
                .skuByIdDeleteList(sukListReq.getSkuByIdDeleteList())
                .skuAddList(sukListReq.getSkuAddList())
                .build();
    }

}
