package com.muyu.marketing.domain.resp;

import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * 查询 拼团活动的商品规格
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class TeamProjectSkuInfoResp {

    /**
     *规格id
     */
    private Long ruleId;

    /**
     * 规格SKU
     */
    private String sku;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;

    /** 构造  回显拼团活动SKU*/
    public static TeamProjectSkuInfoResp getSkuInfoResp(ActivityTeamProductSkuInfo skuInfo) {
      return   TeamProjectSkuInfoResp.builder()
                .ruleId(skuInfo.getId())
                .sku(skuInfo.getProductSku())
                .teamPrice(skuInfo.getTeamPrice())
                .teamStock(skuInfo.getTeamStock())
                .build();
    }

}
