package com.muyu.marketing.team.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.model.*;
import com.muyu.marketing.domain.req.TeamInfoListReq;
import com.muyu.marketing.domain.resp.ActivityTeamInfoResp;

import java.util.List;

/**
 * 拼团活动
 */
public interface ActivityTeamInfoService extends IService<ActivityTeamInfo> {


    /**
     * 通过查询模型查询团购活动列表
     * @param activityTeamInfoListQueryModel 团购活动查询模型
     * @return 团购活动列表
     */
    public TableDataInfo<ActivityTeamInfoListModel> query(ActivityTeamInfoListQueryModel activityTeamInfoListQueryModel);

    /**
     * 通过添加模型，去进行商品拼团活动的操作
     * @param activityTeamInfoAddModel 团购添加模型
     */
    public void save(ActivityTeamInfoAddModel activityTeamInfoAddModel);

    /**
     * 根据ID查询商品的详情
     * @param id 团购活动ID
     * @return 团购详情
     */
    ActivityTeamInfoSelectModel findDetailById(Long id);
//    public ActivityTeamInfoSelectModel selectTeamInfo(Long teamId);

    /**
     * 修改活动
     */
    void updateTeamInfo(ActivityTeamInfoUpdModel activityTeamInfoUpdModel);

    /** 客户端列表*/
    List<ActivityTeamInfoResp> clientList(TeamInfoListReq teamInfoListReq);



}
