package com.muyu.product.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.product.domain.ProjectInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商品信息对象 project_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ProjectInfoEditReq", description = "商品信息")
public class ProjectInfoEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 商品名称 */
    @ApiModelProperty(name = "商品名称", value = "商品名称")
    private String name;

    /** 商品描述 */
    @ApiModelProperty(name = "商品描述", value = "商品描述")
    private String introduction;

    /** 主类型 */
    @ApiModelProperty(name = "主类型", value = "主类型")
    private Long mianType;

    /** 父类型 */
    @ApiModelProperty(name = "父类型", value = "父类型")
    private Long parentType;

    /** 商品类型 */
    @ApiModelProperty(name = "商品类型", value = "商品类型")
    private Long type;

    /** 商品图片 */
    @ApiModelProperty(name = "商品图片", value = "商品图片")
    private String image;

    /** 商品轮播图 */
    @ApiModelProperty(name = "商品轮播图", value = "商品轮播图")
    private String carouselImages;

    /** 商品状态 */
    @ApiModelProperty(name = "商品状态", value = "商品状态")
    private String status;

    /** 规格 */
    @ApiModelProperty(name = "规格", value = "规格")
    private Long ruleId;

    /** 品牌 */
    @ApiModelProperty(name = "品牌", value = "品牌")
    private Long brandId;


    public static ProjectInfoEditReq convertToReq(ProjectInfoUpdReq projectInfoUpdReq){
        ProjectInfo projectInfo = projectInfoUpdReq.getProjectInfo();
        return ProjectInfoEditReq.builder()
                .name(projectInfo.getName())
                .introduction(projectInfo.getIntroduction())
                .mianType(projectInfo.getMianType())
                .parentType(projectInfo.getParentType())
                .type(projectInfo.getType())
                .image(projectInfo.getImage())
                .build();
    }


}
