package com.muyu.product.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@AllArgsConstructor
@Builder
@NoArgsConstructor
@Data
/** 品类信息*/
public class CategoryInfoUpdResp {
    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 品类名称 */
    @Excel(name = "品类名称")
    @ApiModelProperty(name = "品类名称", value = "品类名称", required = true)
    private String name;

    /** 图片 */
    @Excel(name = "图片")
    @ApiModelProperty(name = "图片", value = "图片", required = true)
    private String image;

    /** 是否启用 */
    @Excel(name = "是否启用")
    @ApiModelProperty(name = "是否启用", value = "是否启用", required = true)
    private String start;

    /** 介绍 */
    @Excel(name = "介绍")
    @ApiModelProperty(name = "介绍", value = "介绍")
    private String introduction;

    /**
     * 商品属性 组 关联ID
     * AttributeGroup
     */
    /**
     * 属性集合
     */
    private List<Long> attributeInfoList;

    /**
     * 属性组集合
     */
    private List<Long> attributeGroupList;

    /**
     * 品牌集合
     */
    private  List<Long> brandInfoList;
}
