package com.muyu.product.domain.resp;

import com.muyu.product.domain.ProductCategory;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 产品品类
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ProductCategoryResp extends ProductCategory {
    /**
     * 产品品类子集合
     */
    private List<ProductCategoryResp> childrenList;

    public static ProductCategoryResp convertToResp(ProductCategory productCategory){
        return ProductCategoryResp.builder()
                .id(productCategory.getId())
                .name(productCategory.getName())
                .level(productCategory.getLevel())
                .parentId(productCategory.getParentId())
                .sort(productCategory.getSort())
                .createTime(productCategory.getCreateTime())
                .updateTime(productCategory.getUpdateTime())
                .build();
    }
}
